<label [attr.for]="select.attrs.id" [ngClass]="select.label.class">
  {{ select.label.name }}
</label>
<select [attr.id]="select.attrs.id" [ngClass]="select.class.self">
  <option *ngFor="let option of select.attrs.options" [value]="option.value">
    {{ option.label }}
  </option>
</select>
